CVE-2015-3331

Impact:
Important
Public Date:
2015-03-12
CWE:
CWE-120
Bugzilla:
1213322: CVE-2015-3331 Kernel: crypto: buffer overruns in RFC4106 implementation using AESNI
A buffer overflow flaw was found in the way the Linux kernel's Intel AES-NI instructions optimized version of the RFC4106 GCM mode decryption functionality handled fragmented packets. A remote attacker could use this flaw to crash, or potentially escalate their privileges on, a system over a connection with an active AES-GCM mode IPSec security association.

Find out more about CVE-2015-3331 from the MITRE CVE dictionary dictionary and NIST NVD.

Statement

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates
for Red Hat Enterprise Linux 6 may address this issue.

CVSS v2 metrics

Base Score 7.1
Base Metrics AV:N/AC:H/Au:S/C:C/I:C/A:C
Access Vector Network
Access Complexity High
Authentication Single
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete

Find out more about Red Hat support for the Common Vulnerability Scoring System (CVSS).

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux Extended Update Support 6.5 (kernel) RHSA-2015:1199 2015-06-30
MRG Grid for RHEL 6 Server v.2 (kernel-rt) RHSA-2015:0989 2015-05-12
Red Hat Enterprise Linux 6 (kernel) RHSA-2015:1081 2015-06-09
Red Hat Enterprise Linux for Real Time for NFV (v. 7) (kernel-rt) RHSA-2015:0981 2015-05-12
Red Hat Enterprise Linux 7 (kernel) RHSA-2015:0987 2015-05-12

Affected Packages State

Platform Package State
Red Hat Enterprise MRG 2 realtime-kernel Affected
Red Hat Enterprise Linux 7 kernel-biscayne Not affected
Red Hat Enterprise Linux 5 kernel Not affected

Mitigation

Last Modified